package com.writeoff.module.export.model;

public class ExportTaskInfo {
    private Long id;
    private String taskCode;
    private String bizType;
    private String bizId;
    private String fileName;
    private String fileOssKey;
    private String status;
    private Integer retryCount;
    private Integer downloadCount;
    private String tokenExpireAt;
    private String errorMessage;
    private String createdAt;
    private String finishedAt;

    public ExportTaskInfo(Long id, String taskCode, String bizType, String bizId, String fileName, String fileOssKey, String status, Integer retryCount, Integer downloadCount, String tokenExpireAt, String errorMessage, String createdAt, String finishedAt) {
        this.id = id;
        this.taskCode = taskCode;
        this.bizType = bizType;
        this.bizId = bizId;
        this.fileName = fileName;
        this.fileOssKey = fileOssKey;
        this.status = status;
        this.retryCount = retryCount;
        this.downloadCount = downloadCount;
        this.tokenExpireAt = tokenExpireAt;
        this.errorMessage = errorMessage;
        this.createdAt = createdAt;
        this.finishedAt = finishedAt;
    }

    public Long getId() {
        return id;
    }

    public String getTaskCode() {
        return taskCode;
    }

    public String getBizType() {
        return bizType;
    }

    public String getBizId() {
        return bizId;
    }

    public String getFileName() {
        return fileName;
    }

    public String getFileOssKey() {
        return fileOssKey;
    }

    public String getStatus() {
        return status;
    }

    public Integer getRetryCount() {
        return retryCount;
    }

    public Integer getDownloadCount() {
        return downloadCount;
    }

    public String getTokenExpireAt() {
        return tokenExpireAt;
    }

    public String getErrorMessage() {
        return errorMessage;
    }

    public String getCreatedAt() {
        return createdAt;
    }

    public String getFinishedAt() {
        return finishedAt;
    }
}
